aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJason Gunthorpe <jgg@mellanox.com>2020-06-02 13:35:45 -0300
committerJason Gunthorpe <jgg@mellanox.com>2020-06-14 22:20:54 -0300
commitb7d27e25754bb927f588e6219c31b0e59a07d1d4 (patch)
treedb3c8686cd504df7214fd0e07f35126bf4bfbcec
parentd01fb937615bc4bc91cac8aa543bcc7e8476f870 (diff)
downloadcloud_mdir_sync-b7d27e25754bb927f588e6219c31b0e59a07d1d4.tar.gz
cloud_mdir_sync-b7d27e25754bb927f588e6219c31b0e59a07d1d4.tar.bz2
cloud_mdir_sync-b7d27e25754bb927f588e6219c31b0e59a07d1d4.zip
Add cms-oauth wrapper
So it can run without installation. Signed-off-by: Jason Gunthorpe <jgg@mellanox.com>
-rwxr-xr-xcms-oauth9
1 files changed, 9 insertions, 0 deletions
diff --git a/cms-oauth b/cms-oauth
new file mode 100755
index 0000000..f8f501c
--- /dev/null
+++ b/cms-oauth
@@ -0,0 +1,9 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0+
+# This script will setup a local virtual environment with all the required
+# python packages and then invoke the current source code within it. It is
+# useful for development and 'run from source' approaches
+set -e
+VENV=$(dirname "$BASH_SOURCE")/.venv
+source "$VENV/bin/activate"
+exec "$VENV/bin/cms-oauth" "$@"